Skip to main content

/webhooks/rest/v1/webhooks/{webhookId}/template/{templateId} REST API Endpoint

Loading...

Updated on
Mar 25, 2026

/webhooks/rest/v1/webhooks/{webhookId}/template/{templateId} REST API Endpoint

Path Parameters

webhookId
string
REQUIRED
Loading...
templateId
string
REQUIRED
Loading...
evmWalletFilterevmContractEventsevmAbiFiltersolanaWalletFilterbitcoinWalletFilterxrplWalletFilterhyperliquidWalletEventsFilterstellarWalletTransactionsSourceAccountFilter

Body Parameters

name
string
Loading...
notification_email
string
Loading...
destination_attributes
object
Loading...
url
string
Loading...
security_token
string
Loading...
compression
string
Loading...
nonegzip
templateArgs
object
REQUIRED
Template-specific arguments. Select a template to see its required arguments.
Arguments for the evmWalletFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing EVM wallet addresses to monitor.
Arguments for the evmContractEvents template. At least one of contractsListName or eventHashesListName should be provided.
contractsListName
string
Name of a kv store list containing contract addresses to monitor.
eventHashesListName
string
Name of a kv store list containing event signature hashes to monitor.
Arguments for the evmAbiFilter template.
abiJson
string
REQUIRED
ABI JSON string.
contractsListName
string
Name of a kv store list containing contract addresses to monitor.
Arguments for the solanaWalletFilter template.
accountsListName
string
REQUIRED
Name of a kv store list containing Solana account addresses to monitor.
Arguments for the bitcoinWalletFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing Bitcoin wallet addresses to monitor.
Arguments for the xrplWalletFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing XRP Ledger wallet addresses to monitor.
Arguments for the hyperliquidWalletEventsFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing Hyperliquid wallet addresses to monitor.
Arguments for the stellarWalletTransactionsSourceAccountFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing Stellar wallet addresses to monitor.

Returns

id
string
Loading...
created_at
string
Loading...
name
string
Loading...
network
string
Loading...
notification_email
string
Loading...
destination_attributes
object
Loading...
url
string
Loading...
security_token
string
Loading...
compression
string
Loading...
sequence
integer
Loading...
status
string
Loading...
templateId
string
Loading...
templateArgs
object
Loading...
Request
1
curl -X PATCH \
2
"https://api.quicknode.com/webhooks/rest/v1/webhooks/YOUR_WEBHOOK_ID/template/evmWalletFilter" \
3
-H "accept: application/json" \
4
-H "Content-Type: application/json" \
5
-H "x-api-key: YOUR_API_KEY" \
6
-d $'{
7
"name": "Updated Webhook Name",
8
"notification_email": "contact@example.com",
9
"destination_attributes": {
10
"url": "https://webhook.site/your-updated-url",
11
"security_token": "updated-security-token",
12
"compression": "none"
13
},
14
"templateArgs": {
15
"wallets": [
16
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
17
"0xdac17f958d2ee523a2206206994597c13d831ec7",
18
"0x2260fac5e5542a773aa44fbcfedf7c193bc2c599"
19
]
20
}
21
}'
1
curl -X PATCH \
2
"https://api.quicknode.com/webhooks/rest/v1/webhooks/YOUR_WEBHOOK_ID/template/evmWalletFilter" \
3
-H "accept: application/json" \
4
-H "Content-Type: application/json" \
5
-H "x-api-key: YOUR_API_KEY" \
6
-d $'{
7
"name": "Updated Webhook Name",
8
"notification_email": "contact@example.com",
9
"destination_attributes": {
10
"url": "https://webhook.site/your-updated-url",
11
"security_token": "updated-security-token",
12
"compression": "none"
13
},
14
"templateArgs": {
15
"wallets": [
16
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
17
"0xdac17f958d2ee523a2206206994597c13d831ec7",
18
"0x2260fac5e5542a773aa44fbcfedf7c193bc2c599"
19
]
20
}
21
}'
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free